From fe40ff2b2811efe4ed0fc8dad9279f087626268c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 01 2020 20:35:54 +0000
Subject: [PATCH 1168/2232] Tighten spacing in between forward declarations


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 9046d69..7c6d098 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -39,7 +39,6 @@ pub(super) fn gen<'a>(apis: &[Api], types: &'a Types, opt: &Opt, header: bool) -
 fn gen_namespace_forward_declarations(out: &mut OutFile, ns_entries: &NamespaceEntries) {
     let apis = ns_entries.entries();
 
-    out.next_section();
     for api in apis {
         match api {
             Api::Include(include) => out.include.insert(include),
@@ -50,8 +49,6 @@ fn gen_namespace_forward_declarations(out: &mut OutFile, ns_entries: &NamespaceE
         }
     }
 
-    out.next_section();
-
     for (child_ns, child_ns_entries) in ns_entries.children() {
         writeln!(out, "namespace {} {{", child_ns);
         gen_namespace_forward_declarations(out, child_ns_entries);

